Bug 771243 - gthumb / libpng collaborate to crash when a thumbnail file is corrupt
gthumb / libpng collaborate to crash when a thumbnail file is corrupt
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gthumb (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christian Krause
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-02 16:31 EST by cam
Modified: 2013-02-13 07:57 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 07:57:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description cam 2012-01-02 16:31:27 EST
Description of problem:
I had a crash / power loss when opening gthumb which resulted in a zero sized png file in my home directory: thereafter gthumb errored when opening the thumbnail. The error message was only visible when starting gthumb from the command line.


Version-Release number of selected component (if applicable):
libpng-1.2.46-1.fc16.i686
gthumb-2.14.0-1.fc16.i686

How reproducible:
I noticed several zero sized files in the thumbnails, perhaps there are only some circumstances this causes crashing and some where it is ignored:

[cxm@bishop ~]$ find /home/cxm/.thumbnails/ -type f -size 0
/home/cxm/.thumbnails/normal/f5d6f2dbc24cd55469f5fb266c1020d6.png
/home/cxm/.thumbnails/normal/01801cbf1c444381f65d9ea91b0e42b0.png
/home/cxm/.thumbnails/normal/d2517718c9191c9f4723f27e22c0773e.png
/home/cxm/.thumbnails/normal/c2fbef6afabea125e5e3dc77627ac409.png
/home/cxm/.thumbnails/normal/c91daccd7254569ddbb84989b384635b.png


Steps to Reproduce:
1.unknown behaviour that results in empty thumbnail file
2.run gthumb
3.crash
  
Actual results:
(via strace -f gthumb)
[pid  2082] open("/home/cxm/.thumbnails/normal/24b711a07577af49e90944a741652af9.png", O_RDONLY) = 15
[pid  2082] fstat64(15, {st_mode=S_IFREG|0600, st_size=0, ...}) = 0
[pid  2082] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb2240000
[pid  2082] read(15, "", 4096)          = 0
[pid  2082] write(2, "libpng error: Read Error", 24libpng error: Read Error) = 24
[...]
[pid  2082] --- {si_signo=SIGABRT, si_code=SI_TKILL, si_pid=2082, si_uid=1000} (Aborted) ---
[pid  2085] +++ killed by SIGABRT +++
[pid  2084] +++ killed by SIGABRT +++
[pid  2083] +++ killed by SIGABRT +++

[cxm@bishop ~]$ ls -l /home/cxm/.thumbnails/normal/24b711a07577af49e90944a741652af9.png
-rw-------. 1 cxm cxm 0 Jan  2 21:10 /home/cxm/.thumbnails/normal/24b711a07577af49e90944a741652af9.png



Expected results:
gthumb should be using a library or some other method that ensures the thumbnail is repaired if corrupt. Certainly it shouldn't just exit.

Additional info:
I have removed the zero sized files expecting this to cure the problem.
Comment 1 Hans Deragon 2012-10-29 04:20:00 EDT
I confirm this bug.  I removed all the zero sized thumbnails files and the problem disappeared.  This on Ubuntu 12.04.
Comment 2 Fedora End Of Life 2013-01-16 07:37:27 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora End Of Life 2013-02-13 07:57:34 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.